## ros-melodic-dockeros 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dockeros)

find_package(catkin REQUIRED COMPONENTS
)

catkin_package(
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

catkin_add_env_hooks(dockeROS SHELLS bash DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

#############
## Install ##
#############

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
 find_package(rostest REQUIRED)
 add_rostest(tests/image.test)
endif()

catkin_install_python(PROGRAMS src/dockeros/cli.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== requirements.txt ===
docker

debug_print
rospkg

=== debian/changelog ===
ros-melodic-dockeros (1.1.0-1bionic) bionic; urgency=high

  * documentation
  * also on melodic
  * Contributors: Christian Henkel, ct2034, proffessor.x

 -- Christian Henkel <post@henkelchristian.de>  Wed, 04 Dec 2019 23:00:00 -0000

ros-melodic-dockeros (1.0.3-1bionic) bionic; urgency=high

  * removing rospy from CMakeLists
  * documentation
  * Contributors: Christian Henkel, ct2034

 -- Christian Henkel <post@henkelchristian.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-dockeros (1.0.2-1bionic) bionic; urgency=high

  * this is almost binary
  * jou
  * refactoring
  * finding user defined Dockerfile
  * curiousity
  * now with rosdep :)
  * Contributors: ct2034

 -- Christian Henkel <post@henkelchristian.de>  Mon, 10 Dec 2018 23:00:00 -0000

ros-melodic-dockeros (1.0.1-1bionic) bionic; urgency=high

  * requirements
  * best practise: Comment out what you might never nedd
  * not testing
  * test dependenc
  * Merge branch 'master' of github.com:ct2034/dockeros
  * test?
  * adding python setup breaks it
  * test
  * Merge branch 'master' of github.com:ct2034/dockeros
  * testing
  * tests
  * travis :D
  * Merge branch 'master' of github.com:ct2034/dockeros
  * docker in docker.. is this a good idea?
  * Documentation
  * dont need rosmasteruri
  * maybe you have no config
  * Merge branch 'master' of https://github.com/ct2034/dockeros
    Merging some changes
  * registry?
  * don't need ignore os in rosdep
  * just can stop now
  * interface with new cli (beta)
  * few comments
  * Merge branch 'master' of github.com:ct2034/dockeros
  * argparse is cool!
  * cleaning up and some comments
  * help!
  * running ros comunication
  * less presumptuous naming
  * tab completion
  * no need for debugevalprint
  * handling the temporary dockerfile correctly
  * almost working
  * testing (with nosetest)
  * new name
  * we can recognise uninstalled packages
  * uninstalled system packages
  * also allowing rosrun
  * cli
  * logging
  * other output
  * renaming
  * renaming
  * loglevel
  * list split
  * logging
  * logging
  * logerr
  * Merge branch 'master' of github.com:ct2034/dockeROS
  * reqs
  * reqs
  * Merge branch 'master' of github.com:ct2034/dockeROS
  * log
  * log
  * autocomplete and init function
  * rospy
  * join
  * )
  * also we can push !?
  * also we can push !?
  * commands
  * merge env-hooks and script usage
  * renaming
  * changes
  * }
  * we can not deploy (without a server-side workaround that works around some stuff from the server side
  * playing all together
  * ignoring the client config file
  * hostnam
  * client-server-stuff 4 reeelz
  * the actual metrics
  * a unicorn with a horn
  * whoohoo
  * split client and server
  * small tweaks in client/server
  * moving gui project
  * something good from fake ..
  * my readme
  * docker!
  * clicky
  * now reading images from devices
  * now getting architecture correctly
  * now getting (almost) all info we can get
  * now talking to the registry
  * the unsave registry
  * testing the communication to the registry
  * a registry accepting CORS requests, TODO: actual URL of GUI
  * source Dockerfile
  * Merge branch 'master' of https://github.com/ct2034/rosedge
  * configurable server ip,put command with mem usg, server on robot for robot info
  * modularization
  * the gui does auto updates
  * python3 and configurability
  * how to run server
  * trying to drag and drop
  * added comments
  * final server and client script
  * initial prototype with architecture working
  * whiteboard image
  * filling the width better
  * now with devices with bars and shit
  * now with correct scrolling :)
  * my react gui
  * archi
  * output
  * get back ip address and store in a mongodb database
  * remove restpy.py
  * server + client + mongodb
  * first script for REST api for server client communication
  * some output
  * proper usage info
  * by being a ros package we can find ourselves
  * by being a ros package we can find ourselves
  * fully-qualified domain name
  * naming for images
  * documentation
  * rearangements
  * working with lib
  * reorganizing tests
  * big renaming efforts
  * gui discontinued
  * a gui demo
  * merging from codebeamer
  * ignoring idea
  * 1st commit, adding initial files
  * Initial commit
  * Contributors: Christian Henkel, Poulastya Mukherjee, cch, ct2034, proffessor.x

 -- Christian Henkel <post@henkelchristian.de>  Sun, 09 Dec 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-dockeros
Section: misc
Priority: optional
Maintainer: Christian Henkel <post@henkelchristian.de>
Build-Depends: debhelper (>= 9.0.0), python-docker, ros-melodic-catkin, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-dockeros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-docker
Description: Simply running ros nodes in docker containers on remote robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dockeros//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
